{{- if .Values.loadtest.enabled }}
apiVersion: apps/v1
kind: Deployment
metadata:
  name: load-test
  labels:
    name: load-test
spec:
  selector:
    matchLabels:
      name: load-test
  replicas: {{ .Values.loadtest.replicas }}
  template:
    metadata:
      labels:
        name: load-test
    spec:
      containers:
      - name: load-test
        image: {{ .Values.global.repository }}/load-test
        command: ["/bin/sh"]
        args: ["-c", "while true; do locust --host http://front-end.sock-shop.svc.cluster.local -f /config/locustfile.py --clients 5 --hatch-rate 5 --num-request 100 --no-web; done"]
{{- end }}
